=== debian/changelog ===
ppx-tools (0.99.2-4) unstable; urgency=medium

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Sun, 11 Oct 2015 20:34:21 +0200

ppx-tools (0.99.2-3) experimental; urgency=medium

  * Fix FTBFS on ppc64el

 -- Stéphane Glondu <glondu@debian.org>  Fri, 27 Mar 2015 13:24:24 +0100

ppx-tools (0.99.2-2) experimental; urgency=medium

  * Add support for bytecode architectures

 -- Stéphane Glondu <glondu@debian.org>  Fri, 27 Mar 2015 10:12:14 +0100

ppx-tools (0.99.2-1) experimental; urgency=low

  * Initial upload (Closes: #779574).

 -- Stéphane Glondu <glondu@debian.org>  Tue, 10 Mar 2015 11:50:49 +0100
