=== debian/control ===
Source: ppx-tools
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>= 9),
 ocaml-nox (>= 4.02.1),
 ocaml-findlib,
 dh-ocaml
Standards-Version: 3.9.6
Homepage: https://github.com/alainfrisch/ppx_tools
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ppx-tools.git
Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ppx-tools.git

Package: libppx-tools-ocaml-dev
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${ocaml:Depends}
Provides:
 ${ocaml:Provides}
Recommends: ocaml-findlib
Description: tools for authors of OCaml syntactic tools
 This package includes tools for authors of syntactic tools (such as
 ppx rewriters):
  * ppx_metaquot: a ppx filter to help writing programs which
    manipulate the Parsetree, by allowing the programmer to use
    concrete syntax for expressions creating Parsetree fragments and
    patterns deconstructing Parsetree fragments;
  * rewriter: a utility to help testing ppx rewriters that runs the
    rewriter on user-provided code and returns the result;
  * Ast_mapper_class: a generic mapper from Parsetree to Parsetree
    implemeting a deep identity copy, which can be customized with a
    custom behavior for each syntactic category;
  * dumpast: parses fragments of OCaml code (or entire source files)
    and dump the resulting internal Parsetree representation;
  * genlifter: generates a virtual "lifter" class for one or several
    OCaml type constructors.
