## ppx-tools 5.0%2B4.05.0

=== debian/watch ===
version=3
https://github.com/alainfrisch/ppx_tools/tags/ .*/(?:ppx_tools_)?([\d\.+]+)\.tar\.gz
