## ppx-tools 5.0+4.02.0

=== Makefile ===
--- 
+++ 
@@ -5,16 +5,22 @@
 include $(shell ocamlc -where)/Makefile.config
 
 PACKAGE = ppx_tools
-VERSION = 0.99
+VERSION = 5.0+4.02.2
 # Don't forget to change META file as well
 
-OCAMLC = ocamlc
+OCAMLC = ocamlc -bin-annot
 OCAMLOPT = ocamlopt
 COMPFLAGS = -w +A-4-17-44-45 -I +compiler-libs -safe-string
 
 .PHONY: all
 all: genlifter$(EXE) dumpast$(EXE) ppx_metaquot$(EXE) rewriter$(EXE) ast_mapper_class.cmo ppx_tools.cma
-all: ppx_tools.cmxa ppx_tools.cmxs
+
+ifneq ($(ARCH),none)
+all: ppx_tools.cmxa
+ifeq ($(NATDYNLINK),true)
+all: ppx_tools.cmxs
+endif
+endif
 
 genlifter$(EXE): ppx_tools.cma genlifter.cmo
 	$(OCAMLC) $(COMPFLAGS) -o genlifter$(EXE) ocamlcommon.cma ppx_tools.cma genlifter.cmo
@@ -51,7 +57,7 @@
 
 .PHONY: clean
 clean:
-	rm -f *.cm* *~ *.o *.obj *.a *.lib *.tar.gz *.cmxs
+	rm -f *.cm* *~ *.o *.obj *.a *.lib *.tar.gz *.cmxs *.cmt *.cmti
 	rm -f genlifter$(EXE) dumpast$(EXE) ppx_metaquot$(EXE)
 	rm -f ast_lifter.ml
 
@@ -70,13 +76,13 @@
 
 
 # Install/uninstall
-
+targets = $(1).mli $(1).cmi $(1).cmt $(1).cmti $(wildcard $(1).cmx)
 INSTALL = META \
    genlifter$(EXE) dumpast$(EXE) ppx_metaquot$(EXE) rewriter$(EXE) \
-   ppx_tools.cma ppx_tools.cmxa ppx_tools$(EXT_LIB) \
-   ppx_tools.cmxs \
-   ast_convenience.cmi ast_convenience.cmx \
-   ast_mapper_class.cmi ast_mapper_class.cmx
+   ppx_tools.cma $(wildcard ppx_tools.cmxa ppx_tools$(EXT_LIB)) \
+   $(wildcard ppx_tools.cmxs) \
+   $(call targets,ast_convenience) \
+   $(call targets,ast_mapper_class)
 
 .PHONY: install
 install:
@@ -112,5 +118,3 @@
 TARGET=foo:bar/ppx_tools_data
 upload:
 	scp $(FPACKAGE).tar.gz $(TARGET)/
-
-
