=== debian/changelog ===
ppx-tools (5.0+4.02.0-1ubuntu1) artful; urgency=medium

  * Cherrypick 4.04.0 branch patches from upstream.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 30 Jun 2017 14:46:25 +0100

ppx-tools (5.0+4.02.0-1build1) artful; urgency=high

  * No change rebuild against ocaml 4.04.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 27 Jun 2017 13:37:38 +0100

ppx-tools (5.0+4.02.0-1) unstable; urgency=medium

  * New upstream release
    - remove patches (merged upstream)
  * Update Vcs-*
  * Bump Standards-Version to 3.9.8

 -- Stéphane Glondu <glondu@debian.org>  Wed, 27 Jul 2016 12:36:32 +0200
