=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ppx-tools
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
@@ -9,10 +10,10 @@
  ocaml-nox (>= 4.02.1),
  ocaml-findlib,
  dh-ocaml
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/alainfrisch/ppx_tools
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ppx-tools.git
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ppx-tools.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ppx-tools.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ppx-tools.git
 
 Package: libppx-tools-ocaml-dev
 Architecture: any
@@ -33,7 +34,7 @@
   * rewriter: a utility to help testing ppx rewriters that runs the
     rewriter on user-provided code and returns the result;
   * Ast_mapper_class: a generic mapper from Parsetree to Parsetree
-    implemeting a deep identity copy, which can be customized with a
+    implementing a deep identity copy, which can be customized with a
     custom behavior for each syntactic category;
   * dumpast: parses fragments of OCaml code (or entire source files)
     and dump the resulting internal Parsetree representation;
