## ppx-tools 5.0+4.05.0

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 include $(shell ocamlc -where)/Makefile.config
 
 PACKAGE = ppx_tools
-VERSION = 5.0+4.02.2
+VERSION = 5.0
 # Don't forget to change META file as well
 
 OCAMLC = ocamlc -bin-annot
