=== debian/changelog ===
ppx-tools (5.0+4.05.0-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 22 Sep 2017 14:59:21 +0200
