=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: ppx-tools
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper (>= 9),
- ocaml-nox (>= 4.02.1),
+ ocaml-nox (>= 4.05),
  ocaml-findlib,
  dh-ocaml
 Standards-Version: 3.9.8
