=== debian/changelog ===
ppx-tools (5.3+4.08.0-1) unstable; urgency=medium

  * New upstream release
  * Update Homepage and debian/watch
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Tue, 05 Nov 2019 13:51:26 +0100
