=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper (>= 9),
- ocaml-nox (>= 4.05),
+ ocaml-nox (>= 4.08),
  ocaml-findlib,
  dh-ocaml
 Standards-Version: 3.9.8
-Homepage: https://github.com/alainfrisch/ppx_tools
-Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ppx-tools.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ppx-tools.git
+Homepage: https://github.com/ocaml-ppx/ppx_tools
+Vcs-Browser: https://salsa.debian.org/ocaml-team/ppx-tools
+Vcs-Git: https://salsa.debian.org/ocaml-team/ppx-tools.git
 
 Package: libppx-tools-ocaml-dev
 Architecture: any
