=== debian/watch ===
version=3
https://github.com/ocaml-ppx/ppx_tools/tags/ .*/(?:ppx_tools_)?([\d\.+]+)\.tar\.gz
