## ppx-tools 6.2

=== debian/changelog ===
ppx-tools (6.2-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Thu, 06 Aug 2020 11:52:13 +0200
