=== debian/control ===
--- 
+++ 
@@ -5,11 +5,12 @@
 Uploaders:
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 13),
  ocaml-nox (>= 4.08),
- ocaml-findlib,
+ ocaml-dune,
  dh-ocaml
-Standards-Version: 3.9.8
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/ocaml-ppx/ppx_tools
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ppx-tools
 Vcs-Git: https://salsa.debian.org/ocaml-team/ppx-tools.git
