=== debian/changelog ===
ppx-tools (6.3-1) unstable; urgency=medium

  * New upstream release
  * Update debian/watch
  * Bump Standards-Version to 4.5.1

 -- Stéphane Glondu <glondu@debian.org>  Sat, 12 Dec 2020 11:09:34 +0100
