=== debian/control ===
--- 
+++ 
@@ -8,8 +8,9 @@
  debhelper-compat (= 13),
  ocaml-nox (>= 4.08),
  ocaml-dune,
+ cppo,
  dh-ocaml
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/ocaml-ppx/ppx_tools
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ppx-tools
