## ppx-tools 6.4

=== debian/changelog ===
ppx-tools (6.4-1build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Jan 2022 11:16:05 +0100

ppx-tools (6.4-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Fri, 19 Nov 2021 13:05:37 +0100
