=== debian/watch ===
version=4
https://github.com/ocaml-ppx/ppx_tools/releases .*ppx_tools-v?([\d\.+]+)\.tbz
