## ppx-tools 6.6

=== debian/changelog ===
ppx-tools (6.6-4build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 03 Nov 2023 00:16:52 +0100

ppx-tools (6.6-4) unstable; urgency=medium

  * Depend on ocaml instead of transitional ocaml-nox

 -- Stéphane Glondu <glondu@debian.org>  Wed, 13 Sep 2023 06:17:51 +0200

ppx-tools (6.6-3) unstable; urgency=medium

  * Include ocamlvars.mk in debian/rules

 -- Stéphane Glondu <glondu@debian.org>  Thu, 27 Jul 2023 07:02:26 +0200

ppx-tools (6.6-2) unstable; urgency=medium

  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jul 2023 11:05:20 +0200

ppx-tools (6.6-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Wed, 01 Feb 2023 12:57:51 +0100
