=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox (>= 4.08),
+ ocaml,
  ocaml-dune,
  cppo,
- dh-ocaml
-Standards-Version: 4.5.1
+ dh-ocaml (>= 1.2)
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/ocaml-ppx/ppx_tools
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ppx-tools
